View Issue Details

IDProjectCategoryView StatusLast Update
0002852Ham Radio DeluxeBugpublic2018-09-11 13:18
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.876 
Target VersionFixed in Version6.4.0.886 
Summary0002852: Logbook: IP CLI server passes invalid handle to wait function
DescriptionThe loop in the CLI server wants to wait on a couple of events -- or did, at one time. It passes an array of two event handles to WaitForMultipleObjects(); the first handle is always NULL. This is invalid for the call, and we're lucky it works. This should be fixed for correctness, but also helps simplifiy the code just a little by removing some unused junk (that's always NULL) and simplifies a loop.
Steps To ReproduceFound with the App Verifier.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleFunctional
Testing Not Tested

Relationships

Activities

K7ZCZ

2018-08-23 10:26

manager   ~0005998

This isn't the kind of fix that end users can readily verify.

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4299

WA9PIE

2018-09-07 16:59

administrator   ~0006122

Unable to test. Accepting this as validated; developer managed topic.

Issue History

Date Modified Username Field Change
2018-08-23 09:17 K7ZCZ New Issue
2018-08-23 10:26 K7ZCZ Assigned To => K7ZCZ
2018-08-23 10:26 K7ZCZ Status new => resolved
2018-08-23 10:26 K7ZCZ Resolution open => fixed
2018-08-23 10:26 K7ZCZ Note Added: 0005998
2018-08-29 18:39 K7ZCZ Fixed in Version => 6.4.0.877
2018-09-07 16:59 WA9PIE Status resolved => closed
2018-09-07 16:59 WA9PIE Testing Not Started => Not Tested
2018-09-07 16:59 WA9PIE Note Added: 0006122
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.877 => 6.4.0.886